Bug 79784 - Add harness to sample W3C SVG animation tests
Summary: Add harness to sample W3C SVG animation tests
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: SVG (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nikolas Zimmermann
URL:
Keywords:
Depends on: 80157
Blocks: 41761 79786 79790
  Show dependency treegraph
 
Reported: 2012-02-28 06:57 PST by Nikolas Zimmermann
Modified: 2012-03-02 06:09 PST (History)
3 users (show)

See Also:


Attachments
Patch v1 (96.87 KB, patch)
2012-02-28 07:22 PST, Nikolas Zimmermann
morrita: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nikolas Zimmermann 2012-02-28 06:57:26 PST
Add harness to sample W3C SVG animation tests.
The idea is to write a test in svg/animations, that can load any external SVG file, drive its timeline, and sample at certain time points, all using standard SVGSVGElement APIs.

Works like a charme. This is a preparation towards animVal/SMIL override style support.
Comment 1 Nikolas Zimmermann 2012-02-28 07:22:15 PST
Created attachment 129247 [details]
Patch v1
Comment 2 Nikolas Zimmermann 2012-02-29 01:35:52 PST
Thanks for the quick review!
Comment 3 Nikolas Zimmermann 2012-02-29 07:52:24 PST
Committed r109215: <http://trac.webkit.org/changeset/109215>